package entidad;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="trama", catalog="bd_1")

public class Trama  implements java.io.Serializable {

     private int traNoca;         //Int
     private int catNoca;       //Enlace con categoria
     private String tradat;       //Dato sin importancia

    public Trama() {}

    public Trama(int traNoca, int catNoca, String tradat) 
    {this.traNoca = traNoca;  this.catNoca = catNoca;  this.tradat = tradat;  }

     @Id     
    @Column(name="tra_noca", nullable=false)
     public int getTraNoca() {return this.traNoca;} 
    public void setTraNoca(int traNoca) {this.traNoca = traNoca; }
    
    @Column(name="cat_noca", nullable=false)
    public int getCatNoca() {return this.catNoca;} 
    public void setCatNoca(int catNoca) {this.catNoca = catNoca;}

    @Column(name="tra_dat", nullable=false, length=45)
    public String getTradat() {return this.tradat;}
    public void setTradat(String tradat) { this.tradat = tradat;  }

}